Subject: Re: [dns-privacy] Mirja Kühlewind's No Objection on draft-ietf-dprive-padding-policy-05: (with COMMENT)

From: Alexander Mayrhofer <[email-masked]>
Date: Wed, 18 Jul 2018 17:02:33 +0200

Hello Mirja,

thanks for the review and your COMMENT. Response inline:

On Mon, Jun 18, 2018 at 1:31 PM, Mirja Kühlewind <[email-masked]> wrote:
> Mirja Kühlewind has entered the following ballot position for
> draft-ietf-dprive-padding-policy-05: No Objection
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> I'm not sure why this document is experimental. It does not appear to me that
> it is important to use one common scheme everywhere and therefore just giving a
> recommendation in an informational doc seems appropriate. I guess with more
> experience the right next step would be to publish an BCP at some point.

The recommendation in the document comes from a single empiric study.
The feeling of the working group was that more empiric research would
be required to move the recommendation itself to standards track. Such
work is already proposed in PEARG.

> The wording on MTU is rather weak in this document, given RFC7830 says:
> "However, padded DNS messages MUST NOT exceed the number of
>    octets specified in the Requestor's Payload Size field encoded in the
>    RR Class Field (see Sections 6.2.3 and 6.2.4 of [RFC6891])."
> Maybe be more explicit here.

The Payload Size field can (and will usually be) vastly different from
the MTU. So, the layering is that RFC7830 says that padded messages
MUST NOT exceed the Payload Size, while this document addresses the
relation between sizes and MTU (7830 does not address MTU).

Also, since RFC7830 is normative for this document, my assumtion is
that we don't need to repeat the Payload Size requirement here..

> Also the paragraph on MTU and fragmentation appears twice in this doc.

That was an editing mishap - fixed!

best,
Alex